param(
    [Parameter(Mandatory=1)][String] $sl
)

$scriptPath = Split-Path -parent $MyInvocation.MyCommand.Definition

$tmp = $sl -replace ".sl", ".ps1"

cp $sl $tmp

$items = @()

try {
    . $scriptPath\core.ps1
    . $tmp
    
    $executionPaln = Generate-ExecutionPlan $script:items
    Apply-Spec $executionPaln

} finally {
    rm $tmp -force
} 
